Linux ubuntu 6.8.0-90-generic #91-Ubuntu SMP PREEMPT_DYNAMIC Tue Nov 18 14:14:30 UTC 2025 x86_64
nginx/1.24.0
: 67.217.245.49 | : 216.73.216.153
Cant Read [ /etc/named.conf ]
8.3.6
www-data
Bypass.pw
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
Backdoor Scanner
Backdoor Create
Alfa Webshell
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
bin /
[ HOME SHELL ]
Name
Size
Permission
Action
NF
963
B
-rwxr-xr-x
VGAuthService
130.54
KB
-rwxr-xr-x
[
54.44
KB
-rwxr-xr-x
aa-enabled
18.3
KB
-rwxr-xr-x
aa-exec
18.3
KB
-rwxr-xr-x
aa-features-abi
18.3
KB
-rwxr-xr-x
ab
58.43
KB
-rwxr-xr-x
acpidbg
1.58
KB
-rwxr-xr-x
add-apt-repository
16.04
KB
-rwxr-xr-x
addpart
14.38
KB
-rwxr-xr-x
apport-bug
2.27
KB
-rwxr-xr-x
apport-cli
13.31
KB
-rwxr-xr-x
apport-collect
2.27
KB
-rwxr-xr-x
apport-unpack
3.7
KB
-rwxr-xr-x
appstreamcli
138.23
KB
-rwxr-xr-x
apropos
47.28
KB
-rwxr-xr-x
apt
18.38
KB
-rwxr-xr-x
apt-add-repository
16.04
KB
-rwxr-xr-x
apt-cache
86.47
KB
-rwxr-xr-x
apt-cdrom
26.47
KB
-rwxr-xr-x
apt-config
30.39
KB
-rwxr-xr-x
apt-extracttemplates
22.47
KB
-rwxr-xr-x
apt-ftparchive
222.48
KB
-rwxr-xr-x
apt-get
50.47
KB
-rwxr-xr-x
apt-key
27.99
KB
-rwxr-xr-x
apt-mark
54.47
KB
-rwxr-xr-x
apt-sortpkgs
50.4
KB
-rwxr-xr-x
arch
34.51
KB
-rwxr-xr-x
aria_chk
5.52
MB
-rwxr-xr-x
aria_dump_log
5.31
MB
-rwxr-xr-x
aria_ftdump
5.32
MB
-rwxr-xr-x
aria_pack
5.35
MB
-rwxr-xr-x
aria_read_log
5.48
MB
-rwxr-xr-x
aulast
18.3
KB
-rwxr-xr-x
aulastlog
14.3
KB
-rwxr-xr-x
ausyscall
14.3
KB
-rwxr-xr-x
automat-visualize3
984
B
-rwxr-xr-x
auvirt
38.38
KB
-rwxr-xr-x
awk
722.5
KB
-rwxr-xr-x
b2sum
54.51
KB
-rwxr-xr-x
base32
38.51
KB
-rwxr-xr-x
base64
38.51
KB
-rwxr-xr-x
basename
34.51
KB
-rwxr-xr-x
basenc
46.51
KB
-rwxr-xr-x
bash
1.38
MB
-rwxr-xr-x
bashbug
6.82
KB
-rwxr-xr-x
bc
90.82
KB
-rwxr-xr-x
boltctl
122.84
KB
-rwxr-xr-x
bpftrace
2.15
MB
-rwxr-xr-x
bpftrace-aotrt
985.37
KB
-rwxr-xr-x
btrfs
1001.25
KB
-rwxr-xr-x
btrfs-convert
576.3
KB
-rwxr-xr-x
btrfs-find-root
520.3
KB
-rwxr-xr-x
btrfs-image
552.3
KB
-rwxr-xr-x
btrfs-map-logical
520.3
KB
-rwxr-xr-x
btrfs-select-super
516.3
KB
-rwxr-xr-x
btrfsck
1001.25
KB
-rwxr-xr-x
btrfstune
544.3
KB
-rwxr-xr-x
busctl
94.59
KB
-rwxr-xr-x
busybox
2.03
MB
-rwxr-xr-x
byobu
8.5
KB
-rwxr-xr-x
byobu-config
996
B
-rwxr-xr-x
byobu-ctrl-a
4.66
KB
-rwxr-xr-x
byobu-disable
1.26
KB
-rwxr-xr-x
byobu-disable-prompt
1.31
KB
-rwxr-xr-x
byobu-enable
1.15
KB
-rwxr-xr-x
byobu-enable-prompt
1.42
KB
-rwxr-xr-x
byobu-export
1.39
KB
-rwxr-xr-x
byobu-janitor
7.04
KB
-rwxr-xr-x
byobu-keybindings
1.47
KB
-rwxr-xr-x
byobu-launch
3.25
KB
-rwxr-xr-x
byobu-launcher
1.87
KB
-rwxr-xr-x
byobu-launcher-install
2.47
KB
-rwxr-xr-x
byobu-launcher-uninstall
1.52
KB
-rwxr-xr-x
byobu-layout
3.27
KB
-rwxr-xr-x
byobu-prompt
1.13
KB
-rwxr-xr-x
byobu-quiet
1.38
KB
-rwxr-xr-x
byobu-reconnect-sockets
3.22
KB
-rwxr-xr-x
byobu-screen
8.5
KB
-rwxr-xr-x
byobu-select-backend
1.42
KB
-rwxr-xr-x
byobu-select-profile
5.06
KB
-rwxr-xr-x
byobu-select-session
1012
B
-rwxr-xr-x
byobu-shell
1.66
KB
-rwxr-xr-x
byobu-silent
1.28
KB
-rwxr-xr-x
byobu-status
5.87
KB
-rwxr-xr-x
byobu-status-detail
1.18
KB
-rwxr-xr-x
byobu-tmux
8.5
KB
-rwxr-xr-x
byobu-ugraph
4.56
KB
-rwxr-xr-x
byobu-ulevel
11.71
KB
-rwxr-xr-x
c_rehash
6.68
KB
-rwxr-xr-x
captoinfo
90.41
KB
-rwxr-xr-x
cat
38.46
KB
-rwxr-xr-x
catman
30.77
KB
-rwxr-xr-x
certbot
958
B
-rwxr-xr-x
cftp3
224
B
-rwxr-xr-x
cgi-fcgi
18.15
KB
-rwxr-xr-x
chage
70.49
KB
-rwxr-sr-x
chardet
221
B
-rwxr-xr-x
chardetect
221
B
-rwxr-xr-x
chattr
14.31
KB
-rwxr-xr-x
chcon
58.51
KB
-rwxr-xr-x
checkgid
14.3
KB
-rwxr-xr-x
chfn
71.09
KB
-rwsr-xr-x
chgrp
58.51
KB
-rwxr-xr-x
chmod
54.51
KB
-rwxr-xr-x
choom
22.38
KB
-rwxr-xr-x
chown
58.51
KB
-rwxr-xr-x
chrt
30.38
KB
-rwxr-xr-x
chsh
43.71
KB
-rwsr-xr-x
chvt
14.37
KB
-rwxr-xr-x
cifsiostat
26.45
KB
-rwxr-xr-x
ckbcomp
147.14
KB
-rwxr-xr-x
ckeygen3
227
B
-rwxr-xr-x
cksum
102.52
KB
-rwxr-xr-x
clambc
6.68
MB
-rwxr-xr-x
clamscan
162.38
KB
-rwxr-xr-x
clamsubmit
126.38
KB
-rwxr-xr-x
clear
14.31
KB
-rwxr-xr-x
clear_console
14.23
KB
-rwxr-xr-x
cloud-id
966
B
-rwxr-xr-x
cloud-init
970
B
-rwxr-xr-x
cloud-init-per
2.06
KB
-rwxr-xr-x
cmp
42.39
KB
-rwxr-xr-x
codepage
14.3
KB
-rwxr-xr-x
col
22.38
KB
-rwxr-xr-x
col1
963
B
-rwxr-xr-x
col2
963
B
-rwxr-xr-x
col3
963
B
-rwxr-xr-x
col4
963
B
-rwxr-xr-x
col5
963
B
-rwxr-xr-x
col6
963
B
-rwxr-xr-x
col7
963
B
-rwxr-xr-x
col8
963
B
-rwxr-xr-x
col9
963
B
-rwxr-xr-x
colcrt
14.38
KB
-rwxr-xr-x
colrm
14.38
KB
-rwxr-xr-x
column
38.38
KB
-rwxr-xr-x
comm
38.52
KB
-rwxr-xr-x
conch3
225
B
-rwxr-xr-x
corelist
15.01
KB
-rwxr-xr-x
cp
138.52
KB
-rwxr-xr-x
cpan
8.16
KB
-rwxr-xr-x
cpan5.38-x86_64-linux-gnu
8.18
KB
-rwxr-xr-x
cpio
137.67
KB
-rwxr-xr-x
cpupower
1.58
KB
-rwxr-xr-x
crontab
38.73
KB
-rwxr-sr-x
csplit
50.51
KB
-rwxr-xr-x
ctail
960
B
-rwxr-xr-x
ctstat
22.66
KB
-rwxr-xr-x
curl
290.32
KB
-rwxr-xr-x
cut
38.51
KB
-rwxr-xr-x
cvtsudoers
321.1
KB
-rwxr-xr-x
dash
126.74
KB
-rwxr-xr-x
date
106.51
KB
-rwxr-xr-x
dbilogstrip
1.35
KB
-rwxr-xr-x
dbiprof
6.06
KB
-rwxr-xr-x
dbiproxy
5.27
KB
-rwxr-xr-x
dbpmda
94.8
KB
-rwxr-xr-x
dbus-cleanup-sockets
14.29
KB
-rwxr-xr-x
dbus-daemon
230.64
KB
-rwxr-xr-x
dbus-monitor
26.3
KB
-rwxr-xr-x
dbus-run-session
14.3
KB
-rwxr-xr-x
dbus-send
30.29
KB
-rwxr-xr-x
dbus-update-activation-environ...
14.29
KB
-rwxr-xr-x
dbus-uuidgen
14.29
KB
-rwxr-xr-x
dbxtool
30.3
KB
-rwxr-xr-x
dd
70.54
KB
-rwxr-xr-x
deallocvt
14.37
KB
-rwxr-xr-x
deb-systemd-helper
23.79
KB
-rwxr-xr-x
deb-systemd-invoke
6.97
KB
-rwxr-xr-x
debconf
2.8
KB
-rwxr-xr-x
debconf-apt-progress
11.57
KB
-rwxr-xr-x
debconf-communicate
623
B
-rwxr-xr-x
debconf-copydb
1.68
KB
-rwxr-xr-x
debconf-escape
668
B
-rwxr-xr-x
debconf-set-selections
3.14
KB
-rwxr-xr-x
debconf-show
1.78
KB
-rwxr-xr-x
debian-distro-info
30.95
KB
-rwxr-xr-x
delpart
14.38
KB
-rwxr-xr-x
delv
45.32
KB
-rwxr-xr-x
df
87.08
KB
-rwxr-xr-x
dh_bash-completion
4.42
KB
-rwxr-xr-x
dh_installxmlcatalogs
9.22
KB
-rwxr-xr-x
dh_perl_dbi
1.17
KB
-rwxr-xr-x
diff
134.55
KB
-rwxr-xr-x
diff3
58.52
KB
-rwxr-xr-x
dig
150.83
KB
-rwxr-xr-x
dir
138.98
KB
-rwxr-xr-x
dircolors
46.52
KB
-rwxr-xr-x
dirmngr
473.77
KB
-rwxr-xr-x
dirmngr-client
54.92
KB
-rwxr-xr-x
dirname
34.38
KB
-rwxr-xr-x
distro-info
26.89
KB
-rwxr-xr-x
dmesg
68.64
KB
-rwxr-xr-x
dnsdomainname
22.23
KB
-rwxr-xr-x
do-release-upgrade
10.42
KB
-rwxr-xr-x
domainname
22.23
KB
-rwxr-xr-x
dpkg
310.72
KB
-rwxr-xr-x
dpkg-deb
142.58
KB
-rwxr-xr-x
dpkg-divert
118.57
KB
-rwxr-xr-x
dpkg-maintscript-helper
20.71
KB
-rwxr-xr-x
dpkg-query
134.56
KB
-rwxr-xr-x
dpkg-realpath
4.09
KB
-rwxr-xr-x
dpkg-split
98.53
KB
-rwxr-xr-x
dpkg-statoverride
50.38
KB
-rwxr-xr-x
dpkg-trigger
42.53
KB
-rwxr-xr-x
dstat
74.98
KB
-rwxr-xr-x
du
98.51
KB
-rwxr-xr-x
dumpkeys
162.85
KB
-rwxr-xr-x
eatmydata
2.74
KB
-rwxr-xr-x
ec2metadata
8.38
KB
-rwxr-xr-x
echo
34.38
KB
-rwxr-xr-x
ed
58.55
KB
-rwxr-xr-x
editor
272.5
KB
-rwxr-xr-x
efibootdump
22.3
KB
-rwxr-xr-x
efibootmgr
47.69
KB
-rwxr-xr-x
egrep
41
B
-rwxr-xr-x
eject
42.23
KB
-rwxr-xr-x
enc2xs
40.96
KB
-rwxr-xr-x
encguess
3
KB
-rwxr-xr-x
env
46.95
KB
-rwxr-xr-x
envsubst
34.38
KB
-rwxr-xr-x
eqn
188.45
KB
-rwxr-xr-x
ex
3.94
MB
-rwxr-xr-x
expand
34.53
KB
-rwxr-xr-x
expiry
26.52
KB
-rwxr-sr-x
expr
42.41
KB
-rwxr-xr-x
factor
62.51
KB
-rwxr-xr-x
faillog
22.63
KB
-rwxr-xr-x
fallocate
26.38
KB
-rwxr-xr-x
false
26.3
KB
-rwxr-xr-x
fcgistarter
14.3
KB
-rwxr-xr-x
fgconsole
14.37
KB
-rwxr-xr-x
fgrep
41
B
-rwxr-xr-x
filan
50.48
KB
-rwxr-xr-x
file
30.6
KB
-rwxr-xr-x
finalrd
2.06
KB
-rwxr-xr-x
find
199.48
KB
-rwxr-xr-x
findmnt
67.66
KB
-rwxr-xr-x
flock
22.48
KB
-rwxr-xr-x
fmt
38.51
KB
-rwxr-xr-x
fold
34.51
KB
-rwxr-xr-x
free
26.38
KB
-rwxr-xr-x
freshclam
162.24
KB
-rwxr-xr-x
ftp
182.9
KB
-rwxr-xr-x
funzip
26.3
KB
-rwxr-xr-x
fuser
39.34
KB
-rwxr-xr-x
fusermount
38.38
KB
-rwsr-xr-x
fusermount3
38.38
KB
-rwsr-xr-x
fwupdmgr
118.3
KB
-rwxr-xr-x
fwupdtool
110.3
KB
-rwxr-xr-x
galera_new_cluster
917
B
-rwxr-xr-x
galera_recovery
3.29
KB
-rwxr-xr-x
gapplication
22.38
KB
-rwxr-xr-x
gawk
722.5
KB
-rwxr-xr-x
gawkbug
6.74
KB
-rwxr-xr-x
gdbus
50.38
KB
-rwxr-xr-x
gencat
26.44
KB
-rwxr-xr-x
genpmda
29.17
KB
-rwxr-xr-x
geqn
188.45
KB
-rwxr-xr-x
getconf
26.36
KB
-rwxr-xr-x
getent
38.72
KB
-rwxr-xr-x
getkeycodes
14.37
KB
-rwxr-xr-x
getopt
22.38
KB
-rwxr-xr-x
gettext
34.38
KB
-rwxr-xr-x
gettext.sh
5.07
KB
-rwxr-xr-x
ginstall-info
47.24
KB
-rwxr-xr-x
gio
102.4
KB
-rwxr-xr-x
gio-querymodules
18.3
KB
-rwxr-xr-x
git
3.88
MB
-rwxr-xr-x
git-receive-pack
3.88
MB
-rwxr-xr-x
git-shell
624.81
KB
-rwxr-xr-x
git-upload-archive
3.88
MB
-rwxr-xr-x
git-upload-pack
3.88
MB
-rwxr-xr-x
glib-compile-schemas
54.3
KB
-rwxr-xr-x
gpasswd
74.46
KB
-rwsr-xr-x
gpg
1.09
MB
-rwxr-xr-x
gpg-agent
357.52
KB
-rwxr-xr-x
gpg-connect-agent
87.3
KB
-rwxr-xr-x
gpg-wks-client
139.37
KB
-rwxr-xr-x
gpgconf
115.36
KB
-rwxr-xr-x
gpgparsemail
34.38
KB
-rwxr-xr-x
gpgsm
501.37
KB
-rwxr-xr-x
gpgsplit
26.62
KB
-rwxr-xr-x
gpgtar
67.83
KB
-rwxr-xr-x
gpgv
303.14
KB
-rwxr-xr-x
gpic
196.06
KB
-rwxr-xr-x
grep
182.45
KB
-rwxr-xr-x
gresource
22.3
KB
-rwxr-xr-x
groff
94.51
KB
-rwxr-xr-x
grog
18.75
KB
-rwxr-xr-x
grops
162.55
KB
-rwxr-xr-x
grotty
118.51
KB
-rwxr-xr-x
groups
34.51
KB
-rwxr-xr-x
growpart
29.19
KB
-rwxr-xr-x
grub-editenv
393.16
KB
-rwxr-xr-x
grub-file
741.88
KB
-rwxr-xr-x
grub-fstest
863.32
KB
-rwxr-xr-x
grub-glue-efi
102.88
KB
-rwxr-xr-x
grub-kbdcomp
1.64
KB
-rwxr-xr-x
grub-menulst2cfg
83.2
KB
-rwxr-xr-x
grub-mkfont
131.45
KB
-rwxr-xr-x
grub-mkimage
377.26
KB
-rwxr-xr-x
grub-mklayout
103.23
KB
-rwxr-xr-x
grub-mknetdir
429.77
KB
-rwxr-xr-x
grub-mkpasswd-pbkdf2
111.32
KB
-rwxr-xr-x
grub-mkrelpath
259.79
KB
-rwxr-xr-x
grub-mkrescue
1019.84
KB
-rwxr-xr-x
grub-mkstandalone
510.16
KB
-rwxr-xr-x
grub-mount
682.21
KB
-rwxr-xr-x
grub-ntldr-img
38.39
KB
-rwxr-xr-x
grub-render-label
750.23
KB
-rwxr-xr-x
grub-script-check
126.76
KB
-rwxr-xr-x
grub-syslinux2cfg
698.71
KB
-rwxr-xr-x
gsettings
30.3
KB
-rwxr-xr-x
gtbl
134.48
KB
-rwxr-xr-x
gunzip
2.29
KB
-rwxr-xr-x
gzexe
6.3
KB
-rwxr-xr-x
gzip
91.23
KB
-rwxr-xr-x
h2ph
28.54
KB
-rwxr-xr-x
h2xs
59.51
KB
-rwxr-xr-x
hardlink
46.48
KB
-rwxr-xr-x
hd
46.39
KB
-rwxr-xr-x
head
42.51
KB
-rwxr-xr-x
helpztags
2.46
KB
-rwxr-xr-x
hexdump
46.39
KB
-rwxr-xr-x
host
118.82
KB
-rwxr-xr-x
hostid
34.51
KB
-rwxr-xr-x
hostname
22.23
KB
-rwxr-xr-x
hostnamectl
30.45
KB
-rwxr-xr-x
htcacheclean
34.31
KB
-rwxr-xr-x
htdbm
26.3
KB
-rwxr-xr-x
htdigest
14.3
KB
-rwxr-xr-x
htop
370.33
KB
-rwxr-xr-x
htpasswd
26.3
KB
-rwxr-xr-x
hwe-support-status
11.24
KB
-rwxr-xr-x
i386
26.65
KB
-rwxr-xr-x
iconv
66.48
KB
-rwxr-xr-x
id
38.51
KB
-rwxr-xr-x
ifstat
34.31
KB
-rwxr-xr-x
inetutils-telnet
177.85
KB
-rwxr-xr-x
info
241.73
KB
-rwxr-xr-x
infobrowser
241.73
KB
-rwxr-xr-x
infocmp
66.38
KB
-rwxr-xr-x
infotocap
90.41
KB
-rwxr-xr-x
innochecksum
4.57
MB
-rwxr-xr-x
innotop
445.71
KB
-rwxr-xr-x
install
142.52
KB
-rwxr-xr-x
install-info
47.24
KB
-rwxr-xr-x
instmodsh
4.27
KB
-rwxr-xr-x
ionice
18.38
KB
-rwxr-xr-x
iostat
54.44
KB
-rwxr-xr-x
ip
754.8
KB
-rwxr-xr-x
ipcmk
22.45
KB
-rwxr-xr-x
ipcrm
18.38
KB
-rwxr-xr-x
ipcs
38.38
KB
-rwxr-xr-x
iperf3
14.15
KB
-rwxr-xr-x
iptables-xml
92.95
KB
-rwxr-xr-x
ischroot
14.48
KB
-rwxr-xr-x
iscsiadm
370.43
KB
-rwxr-xr-x
join
50.55
KB
-rwxr-xr-x
journalctl
78.91
KB
-rwxr-xr-x
jq
30.15
KB
-rwxr-xr-x
json-patch-jsondiff
1004
B
-rwxr-xr-x
json_pp
4.88
KB
-rwxr-xr-x
jsondiff
1004
B
-rwxr-xr-x
jsonpatch
3.77
KB
-rwxr-xr-x
jsonpointer
1.79
KB
-rwxr-xr-x
jsonschema
213
B
-rwxr-xr-x
kbd_mode
14.66
KB
-rwxr-xr-x
kbdinfo
18.37
KB
-rwxr-xr-x
kbxutil
62.83
KB
-rwxr-xr-x
keep-one-running
3.51
KB
-rwxr-xr-x
kernel-install
54.67
KB
-rwxr-xr-x
kill
22.38
KB
-rwxr-xr-x
killall
31.34
KB
-rwxr-xr-x
kmod
170.24
KB
-rwxr-xr-x
kmodsign
18.45
KB
-rwxr-xr-x
landscape-sysinfo
646
B
-rwxr-xr-x
last
34.38
KB
-rwxr-xr-x
lastb
34.38
KB
-rwxr-xr-x
lastlog
27.79
KB
-rwxr-xr-x
lcf
7.6
KB
-rwxr-xr-x
ld.so
231.07
KB
-rwxr-xr-x
ldd
5.26
KB
-rwxr-xr-x
less
190.38
KB
-rwxr-xr-x
lessecho
14.31
KB
-rwxr-xr-x
lessfile
8.83
KB
-rwxr-xr-x
lesskey
23.7
KB
-rwxr-xr-x
lesspipe
8.83
KB
-rwxr-xr-x
letsencrypt
958
B
-rwxr-xr-x
lexgrog
99.51
KB
-rwxr-xr-x
libnetcfg
15.41
KB
-rwxr-xr-x
link
34.51
KB
-rwxr-xr-x
linux-boot-prober
1.54
KB
-rwxr-xr-x
linux-check-removal
3.99
KB
-rwxr-xr-x
linux-update-symlinks
6.17
KB
-rwxr-xr-x
linux-version
2.63
KB
-rwxr-xr-x
linux32
26.65
KB
-rwxr-xr-x
linux64
26.65
KB
-rwxr-xr-x
ln
54.51
KB
-rwxr-xr-x
lnstat
22.66
KB
-rwxr-xr-x
loadkeys
202.9
KB
-rwxr-xr-x
loadunimap
34.46
KB
-rwxr-xr-x
locale
49.63
KB
-rwxr-xr-x
locale-check
14.15
KB
-rwxr-xr-x
localectl
26.45
KB
-rwxr-xr-x
localedef
319.09
KB
-rwxr-xr-x
logger
38.97
KB
-rwxr-xr-x
login
51.81
KB
-rwxr-xr-x
loginctl
66.58
KB
-rwxr-xr-x
logname
34.51
KB
-rwxr-xr-x
logresolve
14.31
KB
-rwxr-xr-x
look
18.38
KB
-rwxr-xr-x
lowntfs-3g
118.98
KB
-rwxr-xr-x
ls
138.98
KB
-rwxr-xr-x
lsattr
14.31
KB
-rwxr-xr-x
lsb_release
2.59
KB
-rwxr-xr-x
lsblk
146.38
KB
-rwxr-xr-x
lscpu
110.38
KB
-rwxr-xr-x
lshw
957.2
KB
-rwxr-xr-x
lsinitramfs
735
B
-rwxr-xr-x
lsipc
50.38
KB
-rwxr-xr-x
lslocks
30.77
KB
-rwxr-xr-x
lslogins
50.38
KB
-rwxr-xr-x
lsmem
38.38
KB
-rwxr-xr-x
lsmod
170.24
KB
-rwxr-xr-x
lsns
42.38
KB
-rwxr-xr-x
lsof
171.66
KB
-rwxr-xr-x
lspci
100.11
KB
-rwxr-xr-x
lspgpot
1.06
KB
-rwxr-xr-x
lspower
1.18
KB
-rwxr-xr-x
lsusb
246.52
KB
-rwxr-xr-x
lzcat
86.92
KB
-rwxr-xr-x
lzcmp
7.25
KB
-rwxr-xr-x
lzdiff
7.25
KB
-rwxr-xr-x
lzegrep
10.09
KB
-rwxr-xr-x
lzfgrep
10.09
KB
-rwxr-xr-x
lzgrep
10.09
KB
-rwxr-xr-x
lzless
1.77
KB
-rwxr-xr-x
lzma
86.92
KB
-rwxr-xr-x
lzmainfo
14.38
KB
-rwxr-xr-x
lzmore
2.14
KB
-rwxr-xr-x
mailmail3
227
B
-rwxr-xr-x
man
125.41
KB
-rwxr-xr-x
man-recode
35.4
KB
-rwxr-xr-x
mandb
143.67
KB
-rwxr-xr-x
manifest
1.9
KB
-rwxr-xr-x
manpath
26.78
KB
-rwxr-xr-x
mapscrn
30.46
KB
-rwxr-xr-x
mariadb
5.07
MB
-rwxr-xr-x
mariadb-access
109.31
KB
-rwxr-xr-x
mariadb-admin
4.85
MB
-rwxr-xr-x
mariadb-analyze
4.84
MB
-rwxr-xr-x
mariadb-binlog
5.13
MB
-rwxr-xr-x
mariadb-check
4.84
MB
-rwxr-xr-x
mariadb-conv
4.56
MB
-rwxr-xr-x
mariadb-convert-table-format
4.12
KB
-rwxr-xr-x
mariadb-dump
4.93
MB
-rwxr-xr-x
mariadb-dumpslow
8.05
KB
-rwxr-xr-x
mariadb-find-rows
3.21
KB
-rwxr-xr-x
mariadb-fix-extensions
1.22
KB
-rwxr-xr-x
mariadb-hotcopy
34.53
KB
-rwxr-xr-x
mariadb-import
4.83
MB
-rwxr-xr-x
mariadb-install-db
22.13
KB
-rwxr-xr-x
mariadb-optimize
4.84
MB
-rwxr-xr-x
mariadb-plugin
4.54
MB
-rwxr-xr-x
mariadb-repair
4.84
MB
-rwxr-xr-x
mariadb-report
49.02
KB
-rwxr-xr-x
mariadb-secure-installation
13.49
KB
-rwxr-xr-x
mariadb-service-convert
2.45
KB
-rwxr-xr-x
mariadb-setpermission
17.56
KB
-rwxr-xr-x
mariadb-show
4.83
MB
-rwxr-xr-x
mariadb-slap
4.85
MB
-rwxr-xr-x
mariadb-tzinfo-to-sql
4.53
MB
-rwxr-xr-x
mariadb-upgrade
4.97
MB
-rwxr-xr-x
mariadb-waitpid
4.53
MB
-rwxr-xr-x
mariadbcheck
4.84
MB
-rwxr-xr-x
mariadbd-multi
26.69
KB
-rwxr-xr-x
mariadbd-safe
30.42
KB
-rwxr-xr-x
mariadbd-safe-helper
4.49
MB
-rwxr-xr-x
markdown-it
220
B
-rwxr-xr-x
mawk
166.77
KB
-rwxr-xr-x
mbim-network
11.08
KB
-rwxr-xr-x
mbimcli
216.65
KB
-rwxr-xr-x
mcookie
26.45
KB
-rwxr-xr-x
md5sum
38.41
KB
-rwxr-xr-x
md5sum.textutils
38.41
KB
-rwxr-xr-x
mdig
50.4
KB
-rwxr-xr-x
memhog
14.42
KB
-rwxr-xr-x
memusage
7.32
KB
-rwxr-xr-x
memusagestat
22.44
KB
-rwxr-xr-x
mesg
14.38
KB
-rwxr-xr-x
migrate-pubring-from-classic-g...
3.02
KB
-rwxr-xr-x
migratepages
14.38
KB
-rwxr-xr-x
migspeed
14.3
KB
-rwxr-xr-x
mk_modmap
15.78
KB
-rwxr-xr-x
mkdir
74.51
KB
-rwxr-xr-x
mkfifo
42.51
KB
-rwxr-xr-x
mknod
42.51
KB
-rwxr-xr-x
mkpasswd
26.38
KB
-rwxr-xr-x
mksquashfs
286.95
KB
-rwxr-xr-x
mktemp
34.51
KB
-rwxr-xr-x
mmcli
273.94
KB
-rwxr-xr-x
mokutil
59.48
KB
-rwxr-xr-x
more
46.38
KB
-rwxr-xr-x
mount
50.38
KB
-rwsr-xr-x
mountpoint
18.38
KB
-rwxr-xr-x
mpstat
50.45
KB
-rwxr-xr-x
msql2mysql
1.41
KB
-rwxr-xr-x
mt
70.73
KB
-rwxr-xr-x
mt-gnu
70.73
KB
-rwxr-xr-x
mtr
76.25
KB
-rwxr-xr-x
mtr-packet
34.3
KB
-rwxr-xr-x
mtrace
6.37
KB
-rwxr-xr-x
mv
134.52
KB
-rwxr-xr-x
my_print_defaults
4.53
MB
-rwxr-xr-x
myisam_ftdump
4.87
MB
-rwxr-xr-x
myisamchk
4.99
MB
-rwxr-xr-x
myisamlog
4.85
MB
-rwxr-xr-x
myisampack
4.9
MB
-rwxr-xr-x
mysql
5.07
MB
-rwxr-xr-x
mysql_convert_table_format
4.12
KB
-rwxr-xr-x
mysql_find_rows
3.21
KB
-rwxr-xr-x
mysql_fix_extensions
1.22
KB
-rwxr-xr-x
mysql_install_db
22.13
KB
-rwxr-xr-x
mysql_plugin
4.54
MB
-rwxr-xr-x
mysql_secure_installation
13.49
KB
-rwxr-xr-x
mysql_setpermission
17.56
KB
-rwxr-xr-x
mysql_tzinfo_to_sql
4.53
MB
-rwxr-xr-x
mysql_upgrade
4.97
MB
-rwxr-xr-x
mysql_waitpid
4.53
MB
-rwxr-xr-x
mysqlaccess
109.31
KB
-rwxr-xr-x
mysqladmin
4.85
MB
-rwxr-xr-x
mysqlanalyze
4.84
MB
-rwxr-xr-x
mysqlbinlog
5.13
MB
-rwxr-xr-x
mysqlcheck
4.84
MB
-rwxr-xr-x
mysqld_multi
26.69
KB
-rwxr-xr-x
mysqld_safe
30.42
KB
-rwxr-xr-x
mysqld_safe_helper
4.49
MB
-rwxr-xr-x
mysqldump
4.93
MB
-rwxr-xr-x
mysqldumpslow
8.05
KB
-rwxr-xr-x
mysqlhotcopy
34.53
KB
-rwxr-xr-x
mysqlimport
4.83
MB
-rwxr-xr-x
mysqloptimize
4.84
MB
-rwxr-xr-x
mysqlrepair
4.84
MB
-rwxr-xr-x
mysqlreport
49.02
KB
-rwxr-xr-x
mysqlshow
4.83
MB
-rwxr-xr-x
mysqlslap
4.85
MB
-rwxr-xr-x
mytop
71.95
KB
-rwxr-xr-x
namei
22.38
KB
-rwxr-xr-x
nano
272.5
KB
-rwxr-xr-x
nawk
722.5
KB
-rwxr-xr-x
nc
38.63
KB
-rwxr-xr-x
nc.openbsd
38.63
KB
-rwxr-xr-x
neqn
913
B
-rwxr-xr-x
netaddr
959
B
-rwxr-xr-x
netcat
38.63
KB
-rwxr-xr-x
netstat
154.59
KB
-rwxr-xr-x
networkctl
122.58
KB
-rwxr-xr-x
networkd-dispatcher
19.88
KB
-rwxr-xr-x
newgrp
39.71
KB
-rwsr-xr-x
ngettext
34.38
KB
-rwxr-xr-x
nice
34.51
KB
-rwxr-xr-x
nisdomainname
22.23
KB
-rwxr-xr-x
nl
38.6
KB
-rwxr-xr-x
nohup
34.41
KB
-rwxr-xr-x
nproc
34.51
KB
-rwxr-xr-x
nroff
5.58
KB
-rwxr-xr-x
nsenter
30.6
KB
-rwxr-xr-x
nslookup
122.82
KB
-rwxr-xr-x
nstat
30.38
KB
-rwxr-xr-x
nsupdate
74.55
KB
-rwxr-xr-x
ntfs-3g
159.01
KB
-rwxr-xr-x
ntfs-3g.probe
14.38
KB
-rwxr-xr-x
ntfscat
26.38
KB
-rwxr-xr-x
ntfscluster
38.38
KB
-rwxr-xr-x
ntfscmp
30.38
KB
-rwxr-xr-x
ntfsdecrypt
42.38
KB
-rwxr-xr-x
ntfsfallocate
26.38
KB
-rwxr-xr-x
ntfsfix
34.38
KB
-rwxr-xr-x
ntfsinfo
54.38
KB
-rwxr-xr-x
ntfsls
27.45
KB
-rwxr-xr-x
ntfsmove
30.38
KB
-rwxr-xr-x
ntfsrecover
102.38
KB
-rwxr-xr-x
ntfssecaudit
78.86
KB
-rwxr-xr-x
ntfstruncate
26.3
KB
-rwxr-xr-x
ntfsusermap
18.3
KB
-rwxr-xr-x
ntfswipe
46.91
KB
-rwxr-xr-x
numactl
35.23
KB
-rwxr-xr-x
numastat
35.56
KB
-rwxr-xr-x
numfmt
58.54
KB
-rwxr-xr-x
od
70.51
KB
-rwxr-xr-x
oem-getlogs
8.3
KB
-rwxr-xr-x
on_ac_power
3.7
KB
-rwxr-xr-x
openssl
981.8
KB
-rwxr-xr-x
openvt
22.73
KB
-rwxr-xr-x
os-prober
4.42
KB
-rwxr-xr-x
pager
190.38
KB
-rwxr-xr-x
partx
62.38
KB
-rwxr-xr-x
passwd
62.65
KB
-rwsr-xr-x
paste
38.41
KB
-rwxr-xr-x
pastebinit
16.31
KB
-rwxr-xr-x
patch
182.52
KB
-rwxr-xr-x
pathchk
34.51
KB
-rwxr-xr-x
pbget
2.51
KB
-rwxr-xr-x
pbput
2.51
KB
-rwxr-xr-x
pbputs
2.51
KB
-rwxr-xr-x
pcp
5.3
KB
-rwxr-xr-x
pcp2csv
65.89
KB
-rwxr-xr-x
pdb3
67.83
KB
-rwxr-xr-x
pdb3.12
67.83
KB
-rwxr-xr-x
peekfd
14.3
KB
-rwxr-xr-x
perf
1.58
KB
-rwxr-xr-x
perl
3.83
MB
-rwxr-xr-x
perl5.38-x86_64-linux-gnu
14.3
KB
-rwxr-xr-x
perl5.38.2
3.83
MB
-rwxr-xr-x
perlbug
44.52
KB
-rwxr-xr-x
perldoc
125
B
-rwxr-xr-x
perlivp
10.61
KB
-rwxr-xr-x
perlthanks
44.52
KB
-rwxr-xr-x
perror
4.72
MB
-rwxr-xr-x
pgrep
34.47
KB
-rwxr-xr-x
phar
14.84
KB
-rwxr-xr-x
phar.default
14.84
KB
-rwxr-xr-x
phar.phar
14.84
KB
-rwxr-xr-x
phar.phar.default
14.84
KB
-rwxr-xr-x
phar.phar8.3
14.84
KB
-rwxr-xr-x
phar8.3
14.84
KB
-rwxr-xr-x
phar8.3.phar
14.84
KB
-rwxr-xr-x
php
5.52
MB
-rwxr-xr-x
php.default
5.52
MB
-rwxr-xr-x
php8.3
5.52
MB
-rwxr-xr-x
pic
196.06
KB
-rwxr-xr-x
pico
272.5
KB
-rwxr-xr-x
piconv
8.16
KB
-rwxr-xr-x
pidof
26.23
KB
-rwxr-xr-x
pidstat
50.45
KB
-rwxr-xr-x
pidwait
34.47
KB
-rwxr-xr-x
pinentry
58.65
KB
-rwxr-xr-x
pinentry-curses
58.65
KB
-rwxr-xr-x
ping
87.7
KB
-rwxr-xr-x
ping4
87.7
KB
-rwxr-xr-x
ping6
87.7
KB
-rwxr-xr-x
pinky
38.41
KB
-rwxr-xr-x
pkaction
18.3
KB
-rwxr-xr-x
pkcheck
22.3
KB
-rwxr-xr-x
pkcon
54.3
KB
-rwxr-xr-x
pkill
34.47
KB
-rwxr-xr-x
pkmon
22.3
KB
-rwxr-xr-x
pkttyagent
22.3
KB
-rwxr-xr-x
pl2pm
4.43
KB
-rwxr-xr-x
pldd
22.44
KB
-rwxr-xr-x
plymouth
46.3
KB
-rwxr-xr-x
pmafm
11.84
KB
-rwxr-xr-x
pmap
34.4
KB
-rwxr-xr-x
pmclient
22.92
KB
-rwxr-xr-x
pmclient_fg
18.91
KB
-rwxr-xr-x
pmdate
14.02
KB
-rwxr-xr-x
pmdbg
22.58
KB
-rwxr-xr-x
pmdiff
7.63
KB
-rwxr-xr-x
pmdumplog
35.13
KB
-rwxr-xr-x
pmerr
14.02
KB
-rwxr-xr-x
pmevent
43.38
KB
-rwxr-xr-x
pmfind
22.7
KB
-rwxr-xr-x
pmgenmap
2.38
KB
-rwxr-xr-x
pmie
197.95
KB
-rwxr-xr-x
pmie2col
2.81
KB
-rwxr-xr-x
pmieconf
56.77
KB
-rwxr-xr-x
pmiectl
46
KB
-rwxr-xr-x
pminfo
47.29
KB
-rwxr-xr-x
pmiostat
20.79
KB
-rwxr-xr-x
pmjson
14.63
KB
-rwxr-xr-x
pmlc
55.86
KB
-rwxr-xr-x
pmlogcheck
38.7
KB
-rwxr-xr-x
pmlogconf
55.26
KB
-rwxr-xr-x
pmlogctl
46
KB
-rwxr-xr-x
pmlogdump
35.13
KB
-rwxr-xr-x
pmlogextract
74.88
KB
-rwxr-xr-x
pmlogger
159.62
KB
-rwxr-xr-x
pmloglabel
22.63
KB
-rwxr-xr-x
pmlogmv
18.54
KB
-rwxr-xr-x
pmlogpaste
18.57
KB
-rwxr-xr-x
pmlogredact
1.79
KB
-rwxr-xr-x
pmlogreduce
30.7
KB
-rwxr-xr-x
pmlogrewrite
158.76
KB
-rwxr-xr-x
pmlogsize
26.54
KB
-rwxr-xr-x
pmlogsummary
35.13
KB
-rwxr-xr-x
pmprobe
23.04
KB
-rwxr-xr-x
pmpython
14.02
KB
-rwxr-xr-x
pmrep
65.89
KB
-rwxr-xr-x
pmrepconf
55.26
KB
-rwxr-xr-x
pmsearch
22.91
KB
-rwxr-xr-x
pmseries
39.16
KB
-rwxr-xr-x
pmsocks
1010
B
-rwxr-xr-x
pmstat
27.07
KB
-rwxr-xr-x
pmstore
18.7
KB
-rwxr-xr-x
pmtrace
14.02
KB
-rwxr-xr-x
pmval
43.38
KB
-rwxr-xr-x
pod2html
3.95
KB
-rwxr-xr-x
pod2man
18.46
KB
-rwxr-xr-x
pod2text
12.8
KB
-rwxr-xr-x
pod2usage
4.01
KB
-rwxr-xr-x
podchecker
3.57
KB
-rwxr-xr-x
pollinate
8.54
KB
-rwxr-xr-x
pr
70.58
KB
-rwxr-xr-x
preconv
58.48
KB
-rwxr-xr-x
printenv
34.38
KB
-rwxr-xr-x
printf
54.44
KB
-rwxr-xr-x
prlimit
26.89
KB
-rwxr-xr-x
pro
1003
B
-rwxr-xr-x
procan
42.41
KB
-rwxr-xr-x
prove
13.34
KB
-rwxr-xr-x
prtstat
18.38
KB
-rwxr-xr-x
ps
142.99
KB
-rwxr-xr-x
psfaddtable
22.37
KB
-rwxr-xr-x
psfgettable
22.37
KB
-rwxr-xr-x
psfstriptable
22.37
KB
-rwxr-xr-x
psfxtable
22.37
KB
-rwxr-xr-x
pslog
14.3
KB
-rwxr-xr-x
pstree
35.32
KB
-rwxr-xr-x
pstree.x11
35.32
KB
-rwxr-xr-x
ptar
3.48
KB
-rwxr-xr-x
ptardiff
2.58
KB
-rwxr-xr-x
ptargrep
4.29
KB
-rwxr-xr-x
ptx
54.54
KB
-rwxr-xr-x
purge-old-kernels
1.12
KB
-rwxr-xr-x
pv
79.41
KB
-rwxr-xr-x
pwd
34.51
KB
-rwxr-xr-x
pwdx
14.38
KB
-rwxr-xr-x
py3clean
7.63
KB
-rwxr-xr-x
py3compile
13
KB
-rwxr-xr-x
py3versions
12.52
KB
-rwxr-xr-x
pybabel
956
B
-rwxr-xr-x
pybabel-python3
956
B
-rwxr-xr-x
pydoc3
80
B
-rwxr-xr-x
pydoc3.12
80
B
-rwxr-xr-x
pygettext3
23.66
KB
-rwxr-xr-x
pygettext3.12
23.66
KB
-rwxr-xr-x
pygmentize
215
B
-rwxr-xr-x
pyhtmlizer3
222
B
-rwxr-xr-x
pyserial-miniterm
975
B
-rwxr-xr-x
pyserial-ports
969
B
-rwxr-xr-x
python3
7.65
MB
-rwxr-xr-x
python3.12
7.65
MB
-rwxr-xr-x
pzstd
690.54
KB
-rwxr-xr-x
qmi-firmware-update
168.09
KB
-rwxr-xr-x
qmi-network
16.04
KB
-rwxr-xr-x
qmicli
586.84
KB
-rwxr-xr-x
rbash
1.38
MB
-rwxr-xr-x
rdma
102.52
KB
-rwxr-xr-x
readlink
42.41
KB
-rwxr-xr-x
realpath
42.41
KB
-rwxr-xr-x
red
89
B
-rwxr-xr-x
rename.ul
22.38
KB
-rwxr-xr-x
renice
14.38
KB
-rwxr-xr-x
replace
4.51
MB
-rwxr-xr-x
rescan-scsi-bus.sh
38.05
KB
-rwxr-xr-x
reset
26.31
KB
-rwxr-xr-x
resizecons
26.46
KB
-rwxr-xr-x
resizepart
22.38
KB
-rwxr-xr-x
resolve_stack_dump
4.53
MB
-rwxr-xr-x
resolvectl
158.67
KB
-rwxr-xr-x
resolveip
4.53
MB
-rwxr-xr-x
rev
14.38
KB
-rwxr-xr-x
rgrep
30
B
-rwxr-xr-x
rm
58.51
KB
-rwxr-xr-x
rmdir
46.41
KB
-rwxr-xr-x
rnano
272.5
KB
-rwxr-xr-x
rotatelogs
26.38
KB
-rwxr-xr-x
routel
1.62
KB
-rwxr-xr-x
rpcgen
94.59
KB
-rwxr-xr-x
rrsync
12.34
KB
-rwxr-xr-x
rsync
502.13
KB
-rwxr-xr-x
rsync-ssl
5.02
KB
-rwxr-xr-x
rtla
1.58
KB
-rwxr-xr-x
rtstat
22.66
KB
-rwxr-xr-x
run-one
3.51
KB
-rwxr-xr-x
run-one-constantly
3.51
KB
-rwxr-xr-x
run-one-until-failure
3.51
KB
-rwxr-xr-x
run-one-until-success
3.51
KB
-rwxr-xr-x
run-parts
26.82
KB
-rwxr-xr-x
run-this-one
3.51
KB
-rwxr-xr-x
runcon
34.51
KB
-rwxr-xr-x
rview
3.94
MB
-rwxr-xr-x
rvim
3.94
MB
-rwxr-xr-x
sadf
382.31
KB
-rwxr-xr-x
sar
137.38
KB
-rwxr-xr-x
sar.sysstat
137.38
KB
-rwxr-xr-x
savelog
10.24
KB
-rwxr-xr-x
sbattach
22.54
KB
-rwxr-xr-x
sbkeysync
34.74
KB
-rwxr-xr-x
sbsiglist
14.6
KB
-rwxr-xr-x
sbsign
34.7
KB
-rwxr-xr-x
sbvarsign
22.73
KB
-rwxr-xr-x
sbverify
30.61
KB
-rwxr-xr-x
scalar
668.94
KB
-rwxr-xr-x
scandeps
6.47
KB
-rwxr-xr-x
scp
134.59
KB
-rwxr-xr-x
screen
478.24
KB
-rwxr-xr-x
screendump
14.3
KB
-rwxr-xr-x
script
54.38
KB
-rwxr-xr-x
scriptlive
42.38
KB
-rwxr-xr-x
scriptreplay
34.38
KB
-rwxr-xr-x
scsi_logging_level
8.38
KB
-rwxr-xr-x
scsi_mandat
3.52
KB
-rwxr-xr-x
scsi_readcap
1.3
KB
-rwxr-xr-x
scsi_ready
1.09
KB
-rwxr-xr-x
scsi_satl
3.74
KB
-rwxr-xr-x
scsi_start
1.25
KB
-rwxr-xr-x
scsi_stop
1.44
KB
-rwxr-xr-x
scsi_temperature
936
B
-rwxr-xr-x
sdiff
50.39
KB
-rwxr-xr-x
sed
110.57
KB
-rwxr-xr-x
select-editor
2.39
KB
-rwxr-xr-x
sensible-browser
1.55
KB
-rwxr-xr-x
sensible-editor
1.52
KB
-rwxr-xr-x
sensible-pager
921
B
-rwxr-xr-x
sensible-terminal
1.15
KB
-rwxr-xr-x
seq
50.51
KB
-rwxr-xr-x
setarch
26.65
KB
-rwxr-xr-x
setfont
54.46
KB
-rwxr-xr-x
setkeycodes
14.37
KB
-rwxr-xr-x
setleds
18.43
KB
-rwxr-xr-x
setlogcons
14.37
KB
-rwxr-xr-x
setmetamode
14.41
KB
-rwxr-xr-x
setpci
30.38
KB
-rwxr-xr-x
setpriv
38.38
KB
-rwxr-xr-x
setsid
14.38
KB
-rwxr-xr-x
setterm
34.38
KB
-rwxr-xr-x
setupcon
40.06
KB
-rwxr-xr-x
sftp
150.66
KB
-rwxr-xr-x
sg
39.71
KB
-rwsr-xr-x
sg_bg_ctl
14.51
KB
-rwxr-xr-x
sg_compare_and_write
26.91
KB
-rwxr-xr-x
sg_copy_results
23.3
KB
-rwxr-xr-x
sg_dd
54.33
KB
-rwxr-xr-x
sg_decode_sense
14.76
KB
-rwxr-xr-x
sg_emc_trespass
14.3
KB
-rwxr-xr-x
sg_format
39.35
KB
-rwxr-xr-x
sg_get_config
35.38
KB
-rwxr-xr-x
sg_get_elem_status
26.79
KB
-rwxr-xr-x
sg_get_lba_status
22.95
KB
-rwxr-xr-x
sg_ident
14.6
KB
-rwxr-xr-x
sg_inq
115.61
KB
-rwxr-xr-x
sg_logs
146.93
KB
-rwxr-xr-x
sg_luns
22.79
KB
-rwxr-xr-x
sg_map
18.3
KB
-rwxr-xr-x
sg_map26
26.7
KB
-rwxr-xr-x
sg_modes
46.08
KB
-rwxr-xr-x
sg_opcodes
35.01
KB
-rwxr-xr-x
sg_persist
36.08
KB
-rwxr-xr-x
sg_prevent
14.51
KB
-rwxr-xr-x
sg_raw
26.91
KB
-rwxr-xr-x
sg_rbuf
22.73
KB
-rwxr-xr-x
sg_rdac
18.3
KB
-rwxr-xr-x
sg_read
26.31
KB
-rwxr-xr-x
sg_read_attr
36.65
KB
-rwxr-xr-x
sg_read_block_limits
14.54
KB
-rwxr-xr-x
sg_read_buffer
27.56
KB
-rwxr-xr-x
sg_read_long
14.7
KB
-rwxr-xr-x
sg_readcap
22.79
KB
-rwxr-xr-x
sg_reassign
18.66
KB
-rwxr-xr-x
sg_referrals
14.66
KB
-rwxr-xr-x
sg_rep_pip
14.57
KB
-rwxr-xr-x
sg_rep_zones
26.8
KB
-rwxr-xr-x
sg_requests
22.76
KB
-rwxr-xr-x
sg_reset
14.66
KB
-rwxr-xr-x
sg_reset_wp
14.6
KB
-rwxr-xr-x
sg_rmsn
14.51
KB
-rwxr-xr-x
sg_rtpg
14.6
KB
-rwxr-xr-x
sg_safte
22.7
KB
-rwxr-xr-x
sg_sanitize
27.01
KB
-rwxr-xr-x
sg_sat_identify
18.73
KB
-rwxr-xr-x
sg_sat_phy_event
19.01
KB
-rwxr-xr-x
sg_sat_read_gplog
18.73
KB
-rwxr-xr-x
sg_sat_set_features
18.7
KB
-rwxr-xr-x
sg_scan
18.38
KB
-rwxr-xr-x
sg_seek
18.88
KB
-rwxr-xr-x
sg_senddiag
27.2
KB
-rwxr-xr-x
sg_ses
119.97
KB
-rwxr-xr-x
sg_ses_microcode
27.36
KB
-rwxr-xr-x
sg_start
18.85
KB
-rwxr-xr-x
sg_stpg
22.73
KB
-rwxr-xr-x
sg_stream_ctl
18.7
KB
-rwxr-xr-x
sg_sync
14.66
KB
-rwxr-xr-x
sg_test_rwbuf
18.6
KB
-rwxr-xr-x
sg_timestamp
22.83
KB
-rwxr-xr-x
sg_turs
26.7
KB
-rwxr-xr-x
sg_unmap
22.76
KB
-rwxr-xr-x
sg_verify
22.91
KB
-rwxr-xr-x
sg_vpd
118.42
KB
-rwxr-xr-x
sg_wr_mode
22.73
KB
-rwxr-xr-x
sg_write_buffer
27.23
KB
-rwxr-xr-x
sg_write_long
14.76
KB
-rwxr-xr-x
sg_write_same
26.95
KB
-rwxr-xr-x
sg_write_verify
26.79
KB
-rwxr-xr-x
sg_write_x
55.6
KB
-rwxr-xr-x
sg_xcopy
42.32
KB
-rwxr-xr-x
sg_zone
14.86
KB
-rwxr-xr-x
sginfo
76.01
KB
-rwxr-xr-x
sgm_dd
34.31
KB
-rwxr-xr-x
sgp_dd
46.31
KB
-rwxr-xr-x
sh
126.74
KB
-rwxr-xr-x
sha1sum
38.41
KB
-rwxr-xr-x
sha224sum
38.41
KB
-rwxr-xr-x
sha256sum
38.41
KB
-rwxr-xr-x
sha384sum
38.41
KB
-rwxr-xr-x
sha512sum
38.41
KB
-rwxr-xr-x
shasum
9.75
KB
-rwxr-xr-x
showconsolefont
18.37
KB
-rwxr-xr-x
showkey
18.37
KB
-rwxr-xr-x
shred
54.51
KB
-rwxr-xr-x
shuf
46.51
KB
-rwxr-xr-x
sigtool
6.74
MB
-rwxr-xr-x
skill
26.41
KB
-rwxr-xr-x
slabtop
22.44
KB
-rwxr-xr-x
sleep
34.51
KB
-rwxr-xr-x
slogin
827.04
KB
-rwxr-xr-x
snap
20.64
MB
-rwxr-xr-x
snapctl
7.29
MB
-rwxr-xr-x
snapfuse
38.23
KB
-rwxr-xr-x
snice
26.41
KB
-rwxr-xr-x
socat
447.68
KB
-rwxr-xr-x
socat-broker.sh
2.24
KB
-rwxr-xr-x
socat-chain.sh
7.86
KB
-rwxr-xr-x
socat-mux.sh
3.47
KB
-rwxr-xr-x
socat1
447.68
KB
-rwxr-xr-x
soelim
34.48
KB
-rwxr-xr-x
sort
102.8
KB
-rwxr-xr-x
sos
612
B
-rwxr-xr-x
sos-collector
1.04
KB
-rwxr-xr-x
sosreport
1.03
KB
-rwxr-xr-x
sotruss
4.21
KB
-rwxr-xr-x
speedtest
980
B
-rwxr-xr-x
speedtest-cli
988
B
-rwxr-xr-x
splain
18.99
KB
-rwxr-xr-x
split
54.94
KB
-rwxr-xr-x
splitfont
14.3
KB
-rwxr-xr-x
sprof
34.44
KB
-rwxr-xr-x
sqfscat
147.9
KB
-rwxr-xr-x
sqfstar
286.95
KB
-rwxr-xr-x
ss
129.07
KB
-rwxr-xr-x
ssh
827.04
KB
-rwxr-xr-x
ssh-add
294.42
KB
-rwxr-xr-x
ssh-agent
302.43
KB
-rwxr-sr-x
ssh-argv0
1.42
KB
-rwxr-xr-x
ssh-copy-id
12.77
KB
-rwxr-xr-x
ssh-import-id
985
B
-rwxr-xr-x
ssh-import-id-gh
785
B
-rwxr-xr-x
ssh-import-id-lp
785
B
-rwxr-xr-x
ssh-keygen
442.44
KB
-rwxr-xr-x
ssh-keyscan
330.44
KB
-rwxr-xr-x
stat
86.52
KB
-rwxr-xr-x
static-sh
2.03
MB
-rwxr-xr-x
stdbuf
50.51
KB
-rwxr-xr-x
strace
1.99
MB
-rwxr-xr-x
strace-log-merge
1.78
KB
-rwxr-xr-x
streamzip
7.87
KB
-rwxr-xr-x
stty
78.52
KB
-rwxr-xr-x
su
54.38
KB
-rwsr-xr-x
sudo
271.42
KB
-rwsr-xr-x
sudoedit
271.42
KB
-rwsr-xr-x
sudoreplay
95.95
KB
-rwxr-xr-x
sum
34.41
KB
-rwxr-xr-x
sync
34.41
KB
-rwxr-xr-x
systemctl
1.43
MB
-rwxr-xr-x
systemd
98.45
KB
-rwxr-xr-x
systemd-ac-power
14.45
KB
-rwxr-xr-x
systemd-analyze
198.85
KB
-rwxr-xr-x
systemd-ask-password
18.58
KB
-rwxr-xr-x
systemd-cat
18.45
KB
-rwxr-xr-x
systemd-cgls
22.57
KB
-rwxr-xr-x
systemd-cgtop
38.47
KB
-rwxr-xr-x
systemd-confext
54.64
KB
-rwxr-xr-x
systemd-creds
42.72
KB
-rwxr-xr-x
systemd-cryptenroll
70.92
KB
-rwxr-xr-x
systemd-cryptsetup
78.95
KB
-rwxr-xr-x
systemd-delta
26.45
KB
-rwxr-xr-x
systemd-detect-virt
18.45
KB
-rwxr-xr-x
systemd-escape
22.45
KB
-rwxr-xr-x
systemd-firstboot
58.82
KB
-rwxr-xr-x
systemd-hwdb
154.74
KB
-rwxr-xr-x
systemd-id128
22.45
KB
-rwxr-xr-x
systemd-inhibit
22.47
KB
-rwxr-xr-x
systemd-machine-id-setup
18.63
KB
-rwxr-xr-x
systemd-mount
50.78
KB
-rwxr-xr-x
systemd-notify
26.66
KB
-rwxr-xr-x
systemd-path
18.45
KB
-rwxr-xr-x
systemd-repart
195.23
KB
-rwxr-xr-x
systemd-run
66.79
KB
-rwxr-xr-x
systemd-socket-activate
30.45
KB
-rwxr-xr-x
systemd-stdio-bridge
22.45
KB
-rwxr-xr-x
systemd-sysext
54.64
KB
-rwxr-xr-x
systemd-sysusers
66.63
KB
-rwxr-xr-x
systemd-tmpfiles
114.7
KB
-rwxr-xr-x
systemd-tty-ask-password-agent
34.45
KB
-rwxr-xr-x
systemd-umount
50.78
KB
-rwxr-xr-x
tabs
18.3
KB
-rwxr-xr-x
tac
38.41
KB
-rwxr-xr-x
tail
62.53
KB
-rwxr-xr-x
tapestat
26.44
KB
-rwxr-xr-x
tar
421.92
KB
-rwxr-xr-x
taskset
30.38
KB
-rwxr-xr-x
tbl
134.48
KB
-rwxr-xr-x
tclsh
14.15
KB
-rwxr-xr-x
tclsh8.6
14.15
KB
-rwxr-xr-x
tcpdump
1.21
MB
-rwxr-xr-x
tee
38.51
KB
-rwxr-xr-x
telnet
177.85
KB
-rwxr-xr-x
tempfile
14.3
KB
-rwxr-xr-x
test
46.44
KB
-rwxr-xr-x
tic
90.41
KB
-rwxr-xr-x
time
26.52
KB
-rwxr-xr-x
timedatectl
46.45
KB
-rwxr-xr-x
timeout
38.95
KB
-rwxr-xr-x
tkconch3
227
B
-rwxr-xr-x
tload
22.39
KB
-rwxr-xr-x
tmux
1.05
MB
-rwxr-xr-x
tnftp
182.9
KB
-rwxr-xr-x
toe
22.3
KB
-rwxr-xr-x
top
131.7
KB
-rwxr-xr-x
touch
94.51
KB
-rwxr-xr-x
tput
26.34
KB
-rwxr-xr-x
tr
46.51
KB
-rwxr-xr-x
trace-cmd
435.41
KB
-rwxr-xr-x
tracepath
18.15
KB
-rwxr-xr-x
trial3
219
B
-rwxr-xr-x
troff
726.62
KB
-rwxr-xr-x
true
26.3
KB
-rwxr-xr-x
truncate
38.51
KB
-rwxr-xr-x
tset
26.31
KB
-rwxr-xr-x
tsort
46.51
KB
-rwxr-xr-x
tty
34.51
KB
-rwxr-xr-x
turbostat
1.58
KB
-rwxr-xr-x
twist3
239
B
-rwxr-xr-x
twistd3
220
B
-rwxr-xr-x
tzselect
15.02
KB
-rwxr-xr-x
ua
1003
B
-rwxr-xr-x
ubuntu-advantage
1003
B
-rwxr-xr-x
ubuntu-bug
2.27
KB
-rwxr-xr-x
ubuntu-distro-info
26.89
KB
-rwxr-xr-x
ubuntu-security-status
22.25
KB
-rwxr-xr-x
ucf
40.68
KB
-rwxr-xr-x
ucfq
18.91
KB
-rwxr-xr-x
ucfr
10.85
KB
-rwxr-xr-x
uclampset
30.38
KB
-rwxr-xr-x
udevadm
1.37
MB
-rwxr-xr-x
udisksctl
62.38
KB
-rwxr-xr-x
ul
22.38
KB
-rwxr-xr-x
umount
38.38
KB
-rwsr-xr-x
uname
34.51
KB
-rwxr-xr-x
unattended-upgrade
97.21
KB
-rwxr-xr-x
unattended-upgrades
97.21
KB
-rwxr-xr-x
uncompress
2.29
KB
-rwxr-xr-x
unexpand
38.53
KB
-rwxr-xr-x
unicode_start
2.71
KB
-rwxr-xr-x
unicode_stop
528
B
-rwxr-xr-x
uniq
38.51
KB
-rwxr-xr-x
unlink
34.51
KB
-rwxr-xr-x
unlzma
86.92
KB
-rwxr-xr-x
unmkinitramfs
3.7
KB
-rwxr-xr-x
unshare
42.6
KB
-rwxr-xr-x
unsquashfs
147.9
KB
-rwxr-xr-x
unxz
86.92
KB
-rwxr-xr-x
unzip
174.42
KB
-rwxr-xr-x
unzipsfx
74.42
KB
-rwxr-xr-x
unzstd
998.79
KB
-rwxr-xr-x
update-alternatives
58.38
KB
-rwxr-xr-x
update-mime-database
74.33
KB
-rwxr-xr-x
uptime
14.38
KB
-rwxr-xr-x
usb-devices
4.83
KB
-rwxr-xr-x
usbhid-dump
30.38
KB
-rwxr-xr-x
usbip
1.58
KB
-rwxr-xr-x
usbipd
1.58
KB
-rwxr-xr-x
usbreset
14.3
KB
-rwxr-xr-x
users
34.51
KB
-rwxr-xr-x
utmpdump
22.38
KB
-rwxr-xr-x
uuidgen
18.38
KB
-rwxr-xr-x
uuidparse
22.38
KB
-rwxr-xr-x
varlinkctl
30.45
KB
-rwxr-xr-x
vcs-run
6.75
KB
-rwxr-xr-x
vdir
138.98
KB
-rwxr-xr-x
vi
3.94
MB
-rwxr-xr-x
view
3.94
MB
-rwxr-xr-x
vigpg
2.58
KB
-rwxr-xr-x
vim
3.94
MB
-rwxr-xr-x
vim.basic
3.94
MB
-rwxr-xr-x
vim.tiny
1.66
MB
-rwxr-xr-x
vimdiff
3.94
MB
-rwxr-xr-x
vimtutor
2.1
KB
-rwxr-xr-x
vm-support
9.83
KB
-rwxr-xr-x
vmhgfs-fuse
46.73
KB
-rwxr-xr-x
vmstat
38.78
KB
-rwxr-xr-x
vmtoolsd
74.56
KB
-rwxr-xr-x
vmware-alias-import
42.52
KB
-rwxr-xr-x
vmware-checkvm
14.38
KB
-rwxr-xr-x
vmware-hgfsclient
14.38
KB
-rwxr-xr-x
vmware-namespace-cmd
22.3
KB
-rwxr-xr-x
vmware-rpctool
18.3
KB
-rwxr-xr-x
vmware-toolbox-cmd
54.59
KB
-rwxr-xr-x
vmware-vgauth-cmd
18.3
KB
-rwxr-xr-x
vmware-vmblock-fuse
22.78
KB
-rwxr-xr-x
vmware-xferlogs
32.33
KB
-rwxr-xr-x
vnstat
149.36
KB
-rwxr-xr-x
vsftpdwho
54
B
-rwxr-xr-x
w
26.38
KB
-rwxr-xr-x
w3m
1.58
MB
-rwxr-xr-x
w3mman
1.37
KB
-rwxr-xr-x
wall
22.38
KB
-rwxr-xr-x
watch
30.84
KB
-rwxr-xr-x
watchgnupg
22.3
KB
-rwxr-xr-x
wc
54.52
KB
-rwxr-xr-x
wdctl
34.4
KB
-rwxr-xr-x
wget
459.02
KB
-rwxr-xr-x
whatis
47.28
KB
-rwxr-xr-x
whereis
30.84
KB
-rwxr-xr-x
which
1.05
KB
-rwxr-xr-x
which.debianutils
1.05
KB
-rwxr-xr-x
whiptail
30.16
KB
-rwxr-xr-x
who
58.52
KB
-rwxr-xr-x
whoami
34.51
KB
-rwxr-xr-x
whois
155.66
KB
-rwxr-xr-x
wifi-status
2.06
KB
-rwxr-xr-x
write
22.38
KB
-rwxr-xr-x
wrk
78.87
KB
-rwxr-xr-x
wsrep_sst_backup
2.39
KB
-rwxr-xr-x
wsrep_sst_common
66.86
KB
-rwxr-xr-x
wsrep_sst_mariabackup
49.23
KB
-rwxr-xr-x
wsrep_sst_mysqldump
8.11
KB
-rwxr-xr-x
wsrep_sst_rsync
29.72
KB
-rwxr-xr-x
wsrep_sst_rsync_wan
29.72
KB
-rwxr-xr-x
www-browser
1.58
MB
-rwxr-xr-x
x86_64
26.65
KB
-rwxr-xr-x
x86_energy_perf_policy
1.58
KB
-rwxr-xr-x
xargs
62.41
KB
-rwxr-xr-x
xauth
54.96
KB
-rwxr-xr-x
xdg-user-dir
234
B
-rwxr-xr-x
xdg-user-dirs-update
26.23
KB
-rwxr-xr-x
xsubpp
5.05
KB
-rwxr-xr-x
xxd
22.28
KB
-rwxr-xr-x
xz
86.92
KB
-rwxr-xr-x
xzcat
86.92
KB
-rwxr-xr-x
xzcmp
7.25
KB
-rwxr-xr-x
xzdiff
7.25
KB
-rwxr-xr-x
xzegrep
10.09
KB
-rwxr-xr-x
xzfgrep
10.09
KB
-rwxr-xr-x
xzgrep
10.09
KB
-rwxr-xr-x
xzless
1.77
KB
-rwxr-xr-x
xzmore
2.14
KB
-rwxr-xr-x
yes
34.38
KB
-rwxr-xr-x
ypdomainname
22.23
KB
-rwxr-xr-x
zcat
1.94
KB
-rwxr-xr-x
zcmp
1.64
KB
-rwxr-xr-x
zdiff
6.31
KB
-rwxr-xr-x
zdump
30.28
KB
-rwxr-xr-x
zegrep
29
B
-rwxr-xr-x
zfgrep
29
B
-rwxr-xr-x
zforce
2.03
KB
-rwxr-xr-x
zgrep
7.91
KB
-rwxr-xr-x
zip
206.98
KB
-rwxr-xr-x
zipcloak
70.4
KB
-rwxr-xr-x
zipdetails
68.55
KB
-rwxr-xr-x
zipgrep
2.89
KB
-rwxr-xr-x
zipinfo
174.42
KB
-rwxr-xr-x
zipnote
62.4
KB
-rwxr-xr-x
zipsplit
58.4
KB
-rwxr-xr-x
zless
2.15
KB
-rwxr-xr-x
zmore
1.8
KB
-rwxr-xr-x
znew
4.47
KB
-rwxr-xr-x
zstd
998.79
KB
-rwxr-xr-x
zstdcat
998.79
KB
-rwxr-xr-x
zstdgrep
3.78
KB
-rwxr-xr-x
zstdless
197
B
-rwxr-xr-x
zstdmt
998.79
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : mariadbd-safe
#!/bin/sh # Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB # This file is public domain and comes with NO WARRANTY of any kind # # Script to start the MySQL daemon and restart it if it dies unexpectedly # # This should be executed in the MySQL base directory if you are using a # binary installation that is not installed in its compile-time default # location # # mysql.server works by first doing a cd to the base directory and from there # executing mysqld_safe # Initialize script globals KILL_MYSQLD=1; MYSQLD= niceness=0 nowatch=0 mysqld_ld_preload= mysqld_ld_library_path= flush_caches=0 numa_interleave=0 wsrep_on=0 dry_run=0 defaults_group_suffix= # Initial logging status: error log is not open, and not using syslog logging=init want_syslog=0 syslog_tag= user='mysql' group='mysql' pid_file= err_log= err_log_base= skip_err_log=0 syslog_tag_mysqld=mysqld syslog_tag_mysqld_safe=mysqld_safe trap '' 1 2 3 15 # we shouldn't let anyone kill us # MySQL-specific environment variable. First off, it's not really a umask, # it's the desired mode. Second, it follows umask(2), not umask(3) in that # octal needs to be explicit. Our shell might be a proper sh without printf, # multiple-base arithmetic, and binary arithmetic, so this will get ugly. # We reject decimal values to keep things at least half-sane. umask 007 # fallback UMASK="${UMASK-0640}" fmode=`echo "$UMASK" | sed -e 's/[^0246]//g'` octalp=`echo "$fmode"|cut -c1` fmlen=`echo "$fmode"|wc -c|sed -e 's/ //g'` if [ "x$octalp" != "x0" -o "x$UMASK" != "x$fmode" -o "x$fmlen" != "x5" ] then fmode=0640 echo "UMASK must be a 3-digit mode with an additional leading 0 to indicate octal." >&2 echo "The first digit will be corrected to 6, the others may be 0, 2, 4, or 6." >&2 fi fmode=`echo "$fmode"|cut -c3-4` fmode="6$fmode" if [ "x$UMASK" != "x0$fmode" ] then echo "UMASK corrected from $UMASK to 0$fmode ..." fi defaults= case "$1" in --no-defaults|--defaults-file=*|--defaults-extra-file=*) defaults="$1"; shift ;; esac usage () { cat <<EOF Usage: $0 [OPTIONS] --no-defaults Don't read the system defaults file --defaults-file=FILE Use the specified defaults file --defaults-extra-file=FILE Also use defaults from the specified file --defaults-group-suffix=X Additionally read default groups with X appended as a suffix --ledir=DIRECTORY Look for mysqld in the specified directory --open-files-limit=LIMIT Limit the number of open files --crash-script=FILE Script to call when mysqld crashes --core-file-size=LIMIT Limit core files to the specified size --timezone=TZ Set the system timezone --malloc-lib=LIB Preload shared library LIB if available --mysqld=FILE Use the specified file as mysqld --mysqld-version=VERSION Use "mysqld-VERSION" as mysqld --dry-run Simulate the start to detect errors but don't start --nice=NICE Set the scheduling priority of mysqld --no-auto-restart Exit after starting mysqld --nowatch Exit after starting mysqld --plugin-dir=DIR Plugins are under DIR or DIR/VERSION, if VERSION is given --skip-kill-mysqld Don't try to kill stray mysqld processes --syslog Log messages to syslog with 'logger' --skip-syslog Log messages to error log (default) --syslog-tag=TAG Pass -t "mysqld-TAG" to 'logger' --flush-caches Flush and purge buffers/caches before starting the server --numa-interleave Run mysqld with its memory interleaved on all NUMA nodes All other options are passed to the mysqld program. EOF exit 1 } find_in_bin() { if test -x "$MY_BASEDIR_VERSION/bin/$1" then echo "$MY_BASEDIR_VERSION/bin/$1" elif test -x "/usr/bin/$1" then echo "/usr/bin/$1" else echo "$1" fi } log_generic () { [ $dry_run -eq 1 ] && return priority="$1" shift msg="`date +'%y%m%d %H:%M:%S'` mysqld_safe $*" echo "$msg" case $logging in init) ;; # Just echo the message, don't save it anywhere file) if [ "$helper_exist" -eq "0" ]; then echo "$msg" | "$helper" "$user" log "$err_log" fi ;; syslog) logger -t "$syslog_tag_mysqld_safe" -p "$priority" "$*" ;; *) echo "Internal program error (non-fatal):" \ " unknown logging method '$logging'" >&2 ;; esac } log_error () { log_generic daemon.error "$@" >&2 } log_notice () { log_generic daemon.notice "$@" } eval_log_error () { local cmd="$1" case $logging in file) if [ "$helper_exist" -eq "0" ]; then cmd="$cmd 2>&1 | "`shell_quote_string "$helper"`" $user log "`shell_quote_string "$err_log"` fi ;; syslog) # mysqld often prefixes its messages with a timestamp, which is # redundant when logging to syslog (which adds its own timestamp) # However, we don't strip the timestamp with sed here, because # sed buffers output (only GNU sed supports a -u (unbuffered) option) # which means that messages may not get sent to syslog until the # mysqld process quits. cmd="$cmd 2>&1 | logger -t '$syslog_tag_mysqld' -p daemon.error" ;; *) echo "Internal program error (non-fatal):" \ " unknown logging method '$logging'" >&2 ;; esac if test $nowatch -eq 1 then # We'd prefer to exec $cmd here, but SELinux needs to be fixed first #/usr/bin/logger "Running mysqld: $cmd" eval "$cmd &" exit 0 else #echo "Running mysqld: [$cmd]" eval "$cmd" fi } shell_quote_string() { # This sed command makes sure that any special chars are quoted, # so the arg gets passed exactly to the server. echo "$1" | sed -e 's,\([^a-zA-Z0-9/_.=-]\),\\\1,g' } wsrep_pick_url() { [ $# -eq 0 ] && return 0 log_error "WSREP: 'wsrep_urls' is DEPRECATED! Use wsrep_cluster_address to specify multiple addresses instead." if ! command -v nc >/dev/null then log_error "ERROR: nc tool not found in PATH! Make sure you have it installed." return 1 fi local url # Assuming URL in the form scheme://host:port # If host and port are not NULL, the liveness of URL is assumed to be tested # If port part is absent, the url is returned literally and unconditionally # If every URL has port but none is reachable, nothing is returned for url in `echo $@ | sed s/,/\ /g` 0; do local host=`echo $url | cut -d \: -f 2 | sed s/^\\\/\\\///` local port=`echo $url | cut -d \: -f 3` [ -z "$port" ] && break nc -z "$host" $port >/dev/null && break done if [ "$url" == "0" ]; then log_error "ERROR: none of the URLs in '$@' is reachable." return 1 fi echo $url } # Run mysqld with --wsrep-recover and parse recovered position from log. # Position will be stored in wsrep_start_position_opt global. wsrep_start_position_opt="" wsrep_recover_position() { local mysqld_cmd="$@" local euid=$(id -u) local ret=0 local wr_logfile=$(mktemp /tmp/wsrep_recovery.XXXXXX) # safety checks if [ -z $wr_logfile ]; then log_error "WSREP: mktemp failed" return 1 fi if [ -f $wr_logfile ]; then # NOTE! Do not change ownership of the temporary file, as on newer kernel # versions fs.protected_regular is set to '2' and redirecting output with > # as root to a file not owned by root will fail with "Permission denied" chmod 600 $wr_logfile else log_error "WSREP: mktemp failed" return 1 fi local wr_pidfile="$DATADIR/"`uname -n`"-recover.pid" local wr_options="--disable-log-error --pid-file='$wr_pidfile'" log_notice "WSREP: Running position recovery with $wr_options" eval "$mysqld_cmd --wsrep_recover $wr_options 2> $wr_logfile" if [ ! -s "$wr_logfile" ]; then log_error "Log file $wr_logfile was empty, cannot proceed. Is system running fs.protected_regular?" exit 1 fi local rp="$(grep -a 'WSREP: Recovered position:' $wr_logfile)" if [ -z "$rp" ]; then local skipped="$(grep -a WSREP $wr_logfile | grep 'skipping position recovery')" if [ -z "$skipped" ]; then log_error "WSREP: Failed to recover position: '`cat $wr_logfile`'" ret=1 else log_notice "WSREP: Position recovery skipped" fi else local start_pos="$(echo $rp | sed 's/.*WSREP\:\ Recovered\ position://' \ | sed 's/^[ \t]*//')" log_notice "WSREP: Recovered position $start_pos" wsrep_start_position_opt="--wsrep_start_position=$start_pos" fi if [ $ret -eq 0 ] ; then local wr_logfile_permanent="$DATADIR/wsrep_recovery.ok" else local wr_logfile_permanent="$DATADIR/wsrep_recovery.fail" fi touch $wr_logfile_permanent [ "$euid" = "0" ] && chown $user $wr_logfile_permanent chmod 600 $wr_logfile_permanent cat "$wr_logfile" >> $wr_logfile_permanent rm -f "$wr_logfile" return $ret } parse_arguments() { for arg do val=`echo "$arg" | sed -e "s;--[^=]*=;;"` case "$arg" in # these get passed explicitly to mysqld --basedir=*) MY_BASEDIR_VERSION="$val" ;; --datadir=*|--data=*) DATADIR="$val" ;; --pid[-_]file=*) pid_file="$val" ;; --plugin[-_]dir=*) PLUGIN_DIR="$val" ;; --user=*) user="$val"; SET_USER=1 ;; --group=*) group="$val"; SET_USER=1 ;; --log[-_]basename=*|--hostname=*|--loose[-_]log[-_]basename=*) pid_file="$val.pid"; err_log_base="$val"; ;; # these might have been set in a [mysqld_safe] section of my.cnf # they are added to mysqld command line to override settings from my.cnf --skip[-_]log[-_]error) err_log=; skip_err_log=1; ;; --log[-_]error=*) err_log="$val"; skip_err_log=0; ;; --port=*) mysql_tcp_port="$val" ;; --socket=*) mysql_unix_port="$val" ;; # mysqld_safe-specific options - must be set in my.cnf ([mysqld_safe])! --core[-_]file[-_]size=*) core_file_size="$val" ;; --ledir=*) ledir="$val" ;; --malloc[-_]lib=*) set_malloc_lib "$val" ;; --crash[-_]script=*) crash_script="$val" ;; --mysqld=*) MYSQLD="$val" ;; --mysqld[-_]version=*) if test -n "$val" then MYSQLD="mysqld-$val" PLUGIN_VARIANT="/$val" else MYSQLD="mysqld" fi ;; --dry[-_]run) dry_run=1 ;; --nice=*) niceness="$val" ;; --nowatch|--no[-_]watch|--no[-_]auto[-_]restart) nowatch=1 ;; --open[-_]files[-_]limit=*) open_files="$val" ;; --skip[-_]kill[-_]mysqld*) KILL_MYSQLD=0 ;; --syslog) want_syslog=1 ;; --skip[-_]syslog) want_syslog=0 ;; --syslog[-_]tag=*) syslog_tag="$val" ;; --timezone=*) TZ="$val"; export TZ; ;; --flush[-_]caches) flush_caches=1 ;; --numa[-_]interleave) numa_interleave=1 ;; --wsrep[-_]on) wsrep_on=1 append_arg_to_args "$arg" ;; --skip[-_]wsrep[-_]on) wsrep_on=0 append_arg_to_args "$arg" ;; --wsrep[-_]on=*) if echo $val | grep -iq '\(ON\|1\)'; then wsrep_on=1 else wsrep_on=0 fi append_arg_to_args "$arg" ;; --wsrep[-_]urls=*) wsrep_urls="$val"; ;; --wsrep[-_]provider=*) if test -n "$val" && test "$val" != "none" then wsrep_restart=1 fi append_arg_to_args "$arg" ;; --defaults-group-suffix=*) defaults_group_suffix="$arg" ;; --help) usage ;; *) case "$unrecognized_handling" in collect) append_arg_to_args "$arg" ;; complain) log_error "unknown option '$arg'" ;; esac esac done } # Add a single shared library to the list of libraries which will be added to # LD_PRELOAD for mysqld # # Since LD_PRELOAD is a space-separated value (for historical reasons), if a # shared lib's path contains spaces, that path will be prepended to # LD_LIBRARY_PATH and stripped from the lib value. add_mysqld_ld_preload() { lib_to_add="$1" log_notice "Adding '$lib_to_add' to LD_PRELOAD for mysqld" case "$lib_to_add" in *' '*) # Must strip path from lib, and add it to LD_LIBRARY_PATH lib_file=`basename "$lib_to_add"` case "$lib_file" in *' '*) # The lib file itself has a space in its name, and can't # be used in LD_PRELOAD log_error "library name '$lib_to_add' contains spaces and can not be used with LD_PRELOAD" exit 1 ;; esac lib_path=`dirname "$lib_to_add"` lib_to_add="$lib_file" [ -n "$mysqld_ld_library_path" ] && mysqld_ld_library_path="$mysqld_ld_library_path:" mysqld_ld_library_path="$mysqld_ld_library_path$lib_path" ;; esac # LD_PRELOAD is a space-separated [ -n "$mysqld_ld_preload" ] && mysqld_ld_preload="$mysqld_ld_preload " mysqld_ld_preload="${mysqld_ld_preload}$lib_to_add" } # Returns LD_PRELOAD (and LD_LIBRARY_PATH, if needed) text, quoted to be # suitable for use in the eval that calls mysqld. # # All values in mysqld_ld_preload are prepended to LD_PRELOAD. mysqld_ld_preload_text() { text= if [ -n "$mysqld_ld_preload" ]; then new_text="$mysqld_ld_preload" [ -n "$LD_PRELOAD" ] && new_text="$new_text $LD_PRELOAD" text="${text}LD_PRELOAD="`shell_quote_string "$new_text"`' ' fi if [ -n "$mysqld_ld_library_path" ]; then new_text="$mysqld_ld_library_path" [ -n "$LD_LIBRARY_PATH" ] && new_text="$new_text:$LD_LIBRARY_PATH" text="${text}LD_LIBRARY_PATH="`shell_quote_string "$new_text"`' ' fi echo "$text" } # set_malloc_lib LIB # - If LIB is empty, do nothing and return # - If LIB starts with 'tcmalloc' or 'jemalloc', look for the shared library # using `ldconfig`. # tcmalloc is part of the Google perftools project. # - If LIB is an absolute path, assume it is a malloc shared library # # Put LIB in mysqld_ld_preload, which will be added to LD_PRELOAD when # running mysqld. See ld.so for details. set_malloc_lib() { malloc_lib="$1" if expr "$malloc_lib" : "\(tcmalloc\|jemalloc\)" > /dev/null ; then export PATH=$PATH:/sbin if ! command -v ldconfig > /dev/null 2>&1 then log_error "ldconfig command not found, required for ldconfig -p" exit 1 fi # format from ldconfig: # "libjemalloc.so.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libjemalloc.so.1" libmalloc_path="$(ldconfig -p | sed -n "/lib${malloc_lib}/p" | cut -d '>' -f2)" if [ -z "$libmalloc_path" ]; then log_error "no shared library for lib$malloc_lib.so.[0-9] found." exit 1 fi for f in $libmalloc_path; do if [ -f "$f" ]; then malloc_lib=$f # get the first path if many break fi done fi # Allow --malloc-lib='' to override other settings [ -z "$malloc_lib" ] && return case "$malloc_lib" in /*) if [ ! -r "$malloc_lib" ]; then log_error "--malloc-lib '$malloc_lib' can not be read and will not be used" exit 1 fi ;; *) log_error "--malloc-lib must be an absolute path, 'tcmalloc' or " \ "'jemalloc'; ignoring value '$malloc_lib'" exit 1 ;; esac add_mysqld_ld_preload "$malloc_lib" } # # First, try to find BASEDIR and ledir (where mysqld is) # MY_PWD=`dirname $0` MY_PWD=`cd "$MY_PWD"/.. && pwd` # Check for the directories we would expect from a binary release install if test -n "$MY_BASEDIR_VERSION" -a -d "$MY_BASEDIR_VERSION" then # BASEDIR is already overridden on command line. Do not re-set. # Use BASEDIR to discover le. if test -x "$MY_BASEDIR_VERSION/libexec/mariadbd" then ledir="$MY_BASEDIR_VERSION/libexec" elif test -x "$MY_BASEDIR_VERSION/sbin/mariadbd" then ledir="$MY_BASEDIR_VERSION/sbin" else ledir="$MY_BASEDIR_VERSION/bin" fi elif test -x "$MY_PWD/bin/mariadbd" then MY_BASEDIR_VERSION="$MY_PWD" # Where bin, share and data are ledir="$MY_PWD/bin" # Where mysqld is # Check for the directories we would expect from a source install elif test -x "$MY_PWD/libexec/mariadbd" then MY_BASEDIR_VERSION="$MY_PWD" # Where libexec, share and var are ledir="$MY_PWD/libexec" # Where mysqld is elif test -x "$MY_PWD/sbin/mariadbd" then MY_BASEDIR_VERSION="$MY_PWD" # Where sbin, share and var are ledir="$MY_PWD/sbin" # Where mysqld is # Since we didn't find anything, used the compiled-in defaults else MY_BASEDIR_VERSION='/usr' ledir='/usr/sbin' fi helper=`find_in_bin mariadbd-safe-helper` print_defaults=`find_in_bin my_print_defaults` # Check if helper exists command -v $helper --help >/dev/null 2>&1 helper_exist=$? # # Second, try to find the data directory # # Try where the binary installs put it if test -d $MY_BASEDIR_VERSION/data/mysql then DATADIR=$MY_BASEDIR_VERSION/data # Next try where the source installs put it elif test -d $MY_BASEDIR_VERSION/var/mysql then DATADIR=$MY_BASEDIR_VERSION/var # Or just give up and use our compiled-in default else DATADIR=/var/lib/mysql fi if test -z "$MYSQL_HOME" then if test -r "$DATADIR/my.cnf" then log_error "WARNING: Found $DATADIR/my.cnf The data directory is not a valid location for my.cnf, please move it to $MY_BASEDIR_VERSION/my.cnf" fi MYSQL_HOME=$MY_BASEDIR_VERSION fi export MYSQL_HOME append_arg_to_args () { args="$args "`shell_quote_string "$1"` } args= # Get first arguments from the my.cnf file, groups [mysqld] and [server] # (and related) and then merge with the command line arguments SET_USER=2 parse_arguments `$print_defaults $defaults --loose-verbose --mysqld` if test $SET_USER -eq 2 then SET_USER=0 fi # If arguments come from [mysqld_safe] section of my.cnf # we complain about unrecognized options unrecognized_handling=complain parse_arguments `$print_defaults $defaults --loose-verbose mysqld_safe safe_mysqld mariadb_safe mariadbd-safe` # We only need to pass arguments through to the server if we don't # handle them here. So, we collect unrecognized options (passed on # the command line) into the args variable. unrecognized_handling=collect parse_arguments "$@" # # Try to find the plugin directory # # Use user-supplied argument if [ -n "${PLUGIN_DIR}" ]; then plugin_dir="${PLUGIN_DIR}" else # Try to find plugin dir relative to basedir for dir in lib64/mysql/plugin lib64/plugin lib/mysql/plugin lib/plugin do if [ -d "${MY_BASEDIR_VERSION}/${dir}" ]; then plugin_dir="${MY_BASEDIR_VERSION}/${dir}" break fi done # Give up and use compiled-in default if [ -z "${plugin_dir}" ]; then plugin_dir='/usr/lib/mysql/plugin' fi fi plugin_dir="${plugin_dir}${PLUGIN_VARIANT}" # Determine what logging facility to use # Ensure that 'logger' exists, if it's requested if [ $want_syslog -eq 1 ] then if ! command -v logger > /dev/null then log_error "--syslog requested, but no 'logger' program found. Please ensure that 'logger' is in your PATH, or do not specify the --syslog option to mysqld_safe." exit 1 fi fi if [ $skip_err_log -eq 1 ] then append_arg_to_args "--skip-log-error" fi if [ -n "$err_log" -o $want_syslog -eq 0 ] then if [ -n "$err_log" ] then # mysqld adds ".err" if there is no extension on the --log-error # argument; must match that here, or mysqld_safe will write to a # different log file than mysqld # mysqld does not add ".err" to "--log-error=foo."; it considers a # trailing "." as an extension if expr "$err_log" : '.*\.[^/]*$' > /dev/null then : else err_log="$err_log".err fi case "$err_log" in /* ) ;; * ) err_log="$DATADIR/$err_log" ;; esac else if [ -n "$err_log_base" ] then err_log=$err_log_base.err case "$err_log" in /* ) ;; * ) err_log="$DATADIR/$err_log" ;; esac else err_log=$DATADIR/`uname -n`.err fi fi append_arg_to_args "--log-error=$err_log" if [ $want_syslog -eq 1 ] then # User explicitly asked for syslog, so warn that it isn't used log_error "Can't log to error log and syslog at the same time. Remove all --log-error configuration options for --syslog to take effect." want_syslog=0 fi # Log to err_log file log_notice "Logging to '$err_log'." logging=file else if [ -n "$syslog_tag" ] then # Sanitize the syslog tag syslog_tag=`echo "$syslog_tag" | sed -e 's/[^a-zA-Z0-9_-]/_/g'` syslog_tag_mysqld_safe="${syslog_tag_mysqld_safe}-$syslog_tag" syslog_tag_mysqld="${syslog_tag_mysqld}-$syslog_tag" fi log_notice "Logging to syslog." logging=syslog fi USER_OPTION="" if test -w / -o "$USER" = "root" then if test "$user" != "root" -o $SET_USER = 1 then USER_OPTION="--user=$user" # To be used if/when we enable --system-group as an option to mysqld GROUP_OPTION="--group=$group" fi if test -n "$open_files" then ulimit -n $open_files fi fi if test -n "$open_files" then append_arg_to_args "--open-files-limit=$open_files" fi safe_mysql_unix_port=${mysql_unix_port:-${MYSQL_UNIX_PORT:-/run/mysqld/mysqld.sock}} # Make sure that directory for $safe_mysql_unix_port exists mysql_unix_port_dir=`dirname $safe_mysql_unix_port` if [ ! -d $mysql_unix_port_dir -a $dry_run -eq 0 ] then if ! mkdir -p $mysql_unix_port_dir then log_error "Fatal error Can't create database directory '$mysql_unix_port'" exit 1 fi if [ "$user" -a "$group" ]; then chown $user:$group $mysql_unix_port_dir else [ "$user" ] && chown $user $mysql_unix_port_dir [ "$group" ] && chgrp $group $mysql_unix_port_dir fi chmod 755 $mysql_unix_port_dir fi # If the user doesn't specify a binary, we assume name "mariadbd" if test -z "$MYSQLD" then MYSQLD=mariadbd fi if test ! -x "$ledir/$MYSQLD" then log_error "The file $ledir/$MYSQLD does not exist or is not executable. Please cd to the mysql installation directory and restart this script from there as follows: ./bin/mysqld_safe& See https://mariadb.com/kb/en/mysqld_safe for more information" exit 1 fi if test -z "$pid_file" then pid_file="`uname -n`.pid" fi # MariaDB wants pid file without datadir append_arg_to_args "--pid-file=$pid_file" case "$pid_file" in /* ) ;; * ) pid_file="$DATADIR/$pid_file" ;; esac if test -n "$mysql_unix_port" then append_arg_to_args "--socket=$mysql_unix_port" fi if test -n "$mysql_tcp_port" then append_arg_to_args "--port=$mysql_tcp_port" fi if test $niceness -eq 0 then NOHUP_NICENESS="nohup" else NOHUP_NICENESS="nohup nice -$niceness" fi # Using nice with no args to get the niceness level is GNU-specific. # This check could be extended for other operating systems (e.g., # BSD could use "nohup sh -c 'ps -o nice -p $$' | tail -1"). # But, it also seems that GNU nohup is the only one which messes # with the priority, so this is okay. if nohup nice > /dev/null 2>&1 then normal_niceness=`nice` nohup_niceness=`nohup nice 2>/dev/null` numeric_nice_values=1 for val in $normal_niceness $nohup_niceness do case "$val" in -[0-9] | -[0-9][0-9] | -[0-9][0-9][0-9] | \ [0-9] | [0-9][0-9] | [0-9][0-9][0-9] ) ;; * ) numeric_nice_values=0 ;; esac done if test $numeric_nice_values -eq 1 then nice_value_diff=`expr $nohup_niceness - $normal_niceness` if test $? -eq 0 && test $nice_value_diff -gt 0 && \ nice --$nice_value_diff echo testing > /dev/null 2>&1 then # nohup increases the priority (bad), and we are permitted # to lower the priority with respect to the value the user # might have been given niceness=`expr $niceness - $nice_value_diff` NOHUP_NICENESS="nice -$niceness nohup" fi fi else if nohup echo testing > /dev/null 2>&1 then : else # nohup doesn't work on this system NOHUP_NICENESS="" fi fi # Try to set the core file size (even if we aren't root) because many systems # don't specify a hard limit on core file size. if test -n "$core_file_size" then ulimit -c $core_file_size fi # # If there exists an old pid file, check if the daemon is already running # Note: The switches to 'ps' may depend on your operating system if test -f "$pid_file" && [ $dry_run -eq 0 ] then PID=`cat "$pid_file"` if kill -0 $PID > /dev/null 2> /dev/null then if ps wwwp $PID | grep -v mariadbd-safe | grep -v mysqld_safe | grep -- $MYSQLD > /dev/null then # The pid contains a mysqld process log_error "A mysqld process already exists" exit 1 fi fi rm -f "$pid_file" if test -f "$pid_file" then log_error "Fatal error: Can't remove the pid file: $pid_file Please remove it manually and start $0 again; mysqld daemon not started" exit 1 fi fi # # Flush and purge buffers/caches. # if true && test $flush_caches -eq 1 then # Locate sync, ensure it exists. if ! command -v sync > /dev/null then log_error "sync command not found, required for --flush-caches" exit 1 # Flush file system buffers. elif ! sync then # Huh, the sync() function is always successful... log_error "sync failed, check if sync is properly installed" fi # Locate sysctl, ensure it exists. if ! command -v sysctl > /dev/null then log_error "sysctl command not found, required for --flush-caches" exit 1 # Purge page cache, dentries and inodes. elif ! sysctl -q -w vm.drop_caches=3 then log_error "sysctl failed, check the error message for details" exit 1 fi elif test $flush_caches -eq 1 then log_error "--flush-caches is not supported on this platform" exit 1 fi # # Uncomment the following lines if you want all tables to be automatically # checked and repaired during startup. You should add sensible key_buffer # and sort_buffer values to my.cnf to improve check performance or require # less disk space. # Alternatively, you can start mysqld with the "myisam-recover" option. See # the manual for details. # # echo "Checking tables in $DATADIR" # $MY_BASEDIR_VERSION/bin/myisamchk --silent --force --fast --medium-check $DATADIR/*/*.MYI # $MY_BASEDIR_VERSION/bin/isamchk --silent --force $DATADIR/*/*.ISM # Does this work on all systems? #if type ulimit | grep "shell builtin" > /dev/null #then # ulimit -n 256 > /dev/null 2>&1 # Fix for BSD and FreeBSD systems #fi cmd="`mysqld_ld_preload_text`$NOHUP_NICENESS" [ $dry_run -eq 1 ] && cmd='' # # Set mysqld's memory interleave policy. # if true && test $numa_interleave -eq 1 then # Locate numactl, ensure it exists. if ! command -v numactl > /dev/null then log_error "numactl command not found, required for --numa-interleave" exit 1 # Attempt to run a command, ensure it works. elif ! numactl --interleave=all true then log_error "numactl failed, check if numactl is properly installed" fi # Launch mysqld with numactl. [ $dry_run -eq 0 ] && cmd="$cmd numactl --interleave=all" elif test $numa_interleave -eq 1 then log_error "--numa-interleave is not supported on this platform" exit 1 fi for i in "$ledir/$MYSQLD" "$defaults_group_suffix" "$defaults" "--basedir=$MY_BASEDIR_VERSION" \ "--datadir=$DATADIR" "--plugin-dir=$plugin_dir" "$USER_OPTION" do cmd="$cmd "`shell_quote_string "$i"` done cmd="$cmd $args" if [ $dry_run -eq 1 ] then # RETURN or EXIT depending if the script is being sourced or not. (return 2> /dev/null) && return || exit fi # Avoid 'nohup: ignoring input' warning test -n "$NOHUP_NICENESS" && cmd="$cmd < /dev/null" log_notice "Starting $MYSQLD daemon with databases from $DATADIR" # variable to track the current number of "fast" (a.k.a. subsecond) restarts fast_restart=0 # maximum number of restarts before trottling kicks in max_fast_restarts=5 # flag whether a usable sleep command exists have_sleep=1 # close stdout and stderr, everything goes to $logging now if expr "${-}" : '.*x' > /dev/null then : else exec 1>/dev/null exec 2>/dev/null fi # maximum number of wsrep restarts max_wsrep_restarts=0 while true do rm -f "$pid_file" # Some extra safety start_time=`date +%M%S` # Perform wsrep position recovery if wsrep_on=1, skip otherwise. if test $wsrep_on -eq 1 then # this sets wsrep_start_position_opt wsrep_recover_position "$cmd" [ $? -ne 0 ] && exit 1 # [ -n "$wsrep_urls" ] && url=`wsrep_pick_url $wsrep_urls` # check connect address if [ -z "$url" ] then eval_log_error "$cmd $wsrep_start_position_opt" else eval_log_error "$cmd $wsrep_start_position_opt --wsrep_cluster_address=$url" fi else eval_log_error "$cmd" fi end_time=`date +%M%S` if test ! -f "$pid_file" # This is removed if normal shutdown then break fi # sanity check if time reading is sane and there's sleep if test $end_time -gt 0 -a $have_sleep -gt 0 then # throttle down the fast restarts if test $end_time -eq $start_time then fast_restart=`expr $fast_restart + 1` if test $fast_restart -ge $max_fast_restarts then log_notice "The server is respawning too fast. Sleeping for 1 second." sleep 1 sleep_state=$? if test $sleep_state -gt 0 then log_notice "The server is respawning too fast and no working sleep command. Turning off trottling." have_sleep=0 fi fast_restart=0 fi else fast_restart=0 fi fi if true && test $KILL_MYSQLD -eq 1 then # Test if one process was hanging. # This is only a fix for Linux (running as base 3 mysqld processes) # but should work for the rest of the servers. # The only thing is ps x => redhat 5 gives warnings when using ps -x. # kill -9 is used or the process won't react on the kill. numofproces=`ps xaww | grep -v "grep" | grep "$ledir/$MYSQLD\>" | grep -c "pid-file=$pid_file"` log_notice "Number of processes running now: $numofproces" I=1 while test "$I" -le "$numofproces" do PROC=`ps xaww | grep "$ledir/$MYSQLD\>" | grep -v "grep" | grep "pid-file=$pid_file" | sed -n '$p'` for T in $PROC do break done # echo "TEST $I - $T **" if kill -9 $T then log_error "$MYSQLD process hanging, pid $T - killed" else break fi I=`expr $I + 1` done fi if [ -n "$wsrep_restart" ] then if [ $wsrep_restart -le $max_wsrep_restarts ] then wsrep_restart=`expr $wsrep_restart + 1` log_notice "WSREP: sleeping 15 seconds before restart" sleep 15 else log_notice "WSREP: not restarting wsrep node automatically" break fi fi log_notice "mysqld restarted" if test -n "$crash_script" then crash_script_output=`$crash_script 2>&1` log_error "$crash_script_output" fi done log_notice "mysqld from pid file $pid_file ended"
Close